FlowDrop Docs
API referenceInterrupts

List session interrupts

List all interrupts associated with a playground session. Useful for displaying pending interrupts or reviewing interrupt history.

GET
/playground/sessions/{sessionId}/interrupts

Authorization

AuthorizationBearer <token>

JWT token for authentication

In: header

Path Parameters

sessionId*string

Playground session UUID

Formatuuid

Query Parameters

status?string

Filter by interrupt status

Value in

  • "pending"
  • "resolved"
  • "cancelled"
limit?integer

Maximum number of interrupts to return

Range1 <= value <= 100
Default50
offset?integer

Number of interrupts to skip

Range0 <= value
Default0

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/playground/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/interrupts"
{  "success": true,  "message": "string",  "error": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",      "type": "confirmation",      "status": "pending",      "nodeId": "string",      "executionId": "string",      "config": {        "message": "Do you approve this action?",        "confirm_label": "Approve",        "cancel_label": "Reject"      },      "allowCancel": true,      "response": null,      "response_time": "2019-08-24T14:15:22Z",      "user_id": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}